%
%                              Copyright 2008 Cleimar Jos Salvador, 
%						                      Diego da Silva de Medeiros, 
%						                      Fabrcio Emydio da Silva, 
%						                      Patrick Hedlund Rosa, 
%						                      Marcos Moecke, 
%						                      Mario de Noronha Neto
%
%
%    This file is part of Edge2javaTX.
%
%    Edge2javaTX is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    Edge2javaTX is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with Edge2javaTX. If not, see <http://www.gnu.org/licenses/>.
%

%% Le da porta serial at a ocorrncia de uma mensagem "^SIS:".
%
% Esta mensagem indica que tem algum conectado no socket e aguardando o
% aceite da conexo.

function contexto = Recebe_pedido_cnx(obj_serial,nivel)

global contexto_welcome_socket;
contexto_welcome_socket = '0';

[dados,cod] = Recebe_retorno(obj_serial);
if cod ~= 30
	imp(['Recebido cdigo de retorno ' num2str(cod) '.'],0)
	if cod == 60
		imp('Parando a execuo do programa, saindo da funo Envia_SMS',1)
		contexto = 'q';
		return;
	elseif nivel <= 15
		imp('Recebida mensagem diferente da de pedido de conexo. Chamando recursivamente a funo Recebe_pedido_cnx',1)
		contexto = Recebe_pedido_cnx(obj_serial,nivel+1);
		return;
	else
		imp(['Limite de recursividade atingido. Reiniciando o programa. Saindo da funo Recebe_pedido_cnx ' num2str(nivel)],1)
		contexto = '';
		return;
	end
end

% Pega o contexto ao qual foi associado o pedido
contexto = dados(13);
