%
%                              Copyright 2008 Cleimar Jos Salvador, 
%						                      Diego da Silva de Medeiros, 
%						                      Fabrcio Emydio da Silva, 
%						                      Patrick Hedlund Rosa, 
%						                      Marcos Moecke, 
%						                      Mario de Noronha Neto
%
%
%    This file is part of Edge2javaTX.
%
%    Edge2javaTX is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    Edge2javaTX is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with Edge2javaTX. If not, see <http://www.gnu.org/licenses/>.
%

%% Faz a configurao da porta serial no MatLab
%
% Os parmetros de configurao foram retirados do manual do mdulo MC-75

Porta = 'com1';
imp(['Configurando a porta "' Porta '"'],0)

%% Faz a configurao da porta serial para a transmisso do vdeo.
imp('Criando o objeto Serial',0)
serialUm = serial(Porta);

imp('Setando os parmetros da conexo',0)
set(serialUm,'BaudRate',57600, ...
'DataBits',8, ...
'Parity','none', ...
'StopBits',1, ...
'FlowControl','hardware', ...  % Controle de fluxo por software no funciona
'Terminator','LF', ...
'OutputBufferSize',250000, ...
'InputBufferSize',250000, ...
'Timeout',5);

imp('Iniciando o objeto',0)
fopen(serialUm)

imp('Aguardando um momento',0)
serialbreak(serialUm,1000);
