%
%                              Copyright 2008 Cleimar Jos Salvador, 
%						                      Diego da Silva de Medeiros, 
%						                      Fabrcio Emydio da Silva, 
%						                      Patrick Hedlund Rosa, 
%						                      Marcos Moecke, 
%						                      Mario de Noronha Neto
%
%
%    This file is part of Edge2javaTX.
%
%    Edge2javaTX is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    Edge2javaTX is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with Edge2javaTX. If not, see <http://www.gnu.org/licenses/>.
%

%% Verifica se h alguma conexo a ser rejeitada

function dados = verifica_rejeita_cnx(obj_serial)

global contexto_a_rejeitar;

% Se existir algum contexto a rejeitar
if ~isempty(contexto_a_rejeitar)
	imp(['Rejeitando a conexo do contexto ' num2str(contexto_a_rejeitar)],1)
	Envia_cmd(obj_serial,['at^sisc=' contexto_a_rejeitar ',1']);
	[dados,cod] = Recebe_retorno(obj_serial);
	if cod == 60
        imp('Parando a execuo do programa, saindo da funo verifica_rejeita_cnx',1)
        dados = 'q';
        return;
    % Seno, se chegou qualquer coisa diferente de OK
    elseif cod ~= 0
		imp(['Mensagem de cdigo ' num2str(cod) ' recebida. Aguardando alguns instantes e reiniciando a aplicao.'],1)
		pause(tempo_pausa);
		dados = '';
		return;
	end
	contexto_a_rejeitar = '';
else
	dados = 'OK';
end