%
%                              Copyright 2008 Cleimar Jos Salvador, 
%						                      Diego da Silva de Medeiros, 
%						                      Fabrcio Emydio da Silva, 
%						                      Patrick Hedlund Rosa, 
%						                      Marcos Moecke, 
%						                      Mario de Noronha Neto
%
%
%    This file is part of Edge2javaTX.
%
%    Edge2javaTX is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    Edge2javaTX is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with Edge2javaTX. If not, see <http://www.gnu.org/licenses/>.
%

%% Recebe a sada do comando AT^SISO? e retorna o IP associado ao mdulo.

function IP = Pega_IP(obj_serial)

imp('Lendo a lista de sockets do servidor',2)
% O comando 'AT^SISO?' retorna uma lista de dez linhas com as posies
% alocadas e disponveis para a abertura de um socket. Aps o filtro desta
% lista, o IP atribudo ao mdulo  obtido no programa.
Envia_cmd(obj_serial,['at^siso?' 13]);
[dados,cod] = Recebe_retorno(obj_serial);
% Se recebeu a tecla de parada
if cod == 60
    imp('Parando a execuo do programa, saindo da funo Pega_IP',1)
    IP = 'q';
    return;
% Seno, se chegou qualquer coisa diferente de OK
elseif cod ~= 0
    imp(['Mensagem de cdigo ' num2str(cod) ' recebida. Saindo da funo Pega_IP.'],1)
    IP = '';
    return;
end

% Aps a leitura das linhas  necessrio um processo de filtragem para
% capturar o IP em questo. A lgica a seguir varre toda a sada a procura
% de um endereo IP
imp('Filtrando o retorno',2)

imp('Procurando uma linha com a palavra "Socket"',0)
endOfLoop = true;
for m = 1 : size(dados,2)

    if strcmpi(dados(m : m+5),'Socket')
		endOfLoop = false;
        break;
    end
    
end

% Se no foi encontrada nenhuma linha com as caractersticas
if endOfLoop
    
	imp('ERRO !!!',1)
	imp('Palavra "Socket" no encontrada',2)
    IP = '';

else
    
    imp('Procurando o incio do endereo IP',0)
    cont_virg = 0;
    for m = m : size(dados,2)

        if strcmpi(dados(m),',')
            cont_virg = cont_virg + 1;
        end

        if cont_virg == 5
            break;
        end

    end

    % Pula as aspas
    m = m + 2;

    imp('Procurando o fim do endereo IP',0)
    for n = m : size(dados,2)

        if strcmpi(dados(n),':')
            break;
        end

    end

    IP = dados(m : n - 1);
    
end
