%
%                              Copyright 2008 Cleimar Jos Salvador, 
%						                      Diego da Silva de Medeiros, 
%						                      Fabrcio Emydio da Silva, 
%						                      Patrick Hedlund Rosa, 
%						                      Marcos Moecke, 
%						                      Mario de Noronha Neto
%
%
%    This file is part of Edge2javaTX.
%
%    Edge2javaTX is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    Edge2javaTX is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with Edge2javaTX. If not, see <http://www.gnu.org/licenses/>.
%

%% Recebe uma mensagem de um socket conectado no contexto especificado
%
% O comando consiste em enviar primeiramente um
%
%         AT^SISR=<contexto>,1500
%
% e aguardar a resposta do mdulo. A resposta terminar com um OK, NO
% CARRIER ou ERROR.
%

function dados = Recebe_dados(obj_serial,contexto)

comando = ['at^sisr=' contexto ',1500'];

imp(['Enviando o comando: ' comando])
Envia_cmd(obj_serial,cmd);

imp('Aguardando a resposta',0)
dados = '';
while true
	
    dado_tmp = fscanf(obj_serial);
    dados = [dados dado_tmp];
    
	try
		if strcmpi(dado_tmp(1:2),'ok')
            imp('Recebida resposta:',0)
			imp(dados,0)
			break;
		end
	end
	
	try
		if strcmpi(dado_tmp(1:2),'no')
			imp('WARNING encontrado na resposta a seguir:',1);
			imp(dados,0);
			break;
		end
	end
	
	try
		if strcmpi(dado_tmp(1:2),'er')
			imp('ERRO encontrado na resposta a seguir:',1);
			imp(dados,0)
			imp('Tecle qualquer tecla.');
			pause();
			break;
		end
	end
	
end